# kmalloc.h File Reference

`#include <ubixos/types.h>`

Go to the source code of this file.

## Data Structures

struct | memDescriptor

## Defines

#define | sysMalloc -2
#define | sysID -2

## Functions

void | kfree (void *baseAddr)
void * | kmalloc (uInt32 len, pidType pid)
void | initMalloc (pidType pid)
void * | getEmptyDesc ()
void | insertFreeDesc (struct memDescriptor *freeDesc)
void | mergeMemBlocks ()
void | kfreeProcess (pidType pid)

## Variables

memDescriptor * | kernDesc
memDescriptor * | freeKernDesc
memDescriptor * | emptyKernDesc
int | mallocLock

## Define Documentation

#define sysID -2

#define sysMalloc -2

## Function Documentation

void* getEmptyDesc | ( |  | ) |

void initMalloc | ( | pidType | pid | ) |

void insertFreeDesc | ( | struct memDescriptor * | freeDesc | ) |

void kfree | ( | void * | baseAddr | ) |

void kfreeProcess | ( | pidType | pid | ) |

void* kmalloc | ( | uInt32 | len,
|  | pidType | pid
| ) |

void mergeMemBlocks | ( |  | ) |

## Variable Documentation

struct memDescriptor* emptyKernDesc

struct memDescriptor* freeKernDesc

struct memDescriptor* kernDesc

int mallocLock